#ifndef _rematch_vh_
#define _rematch_vh_

#include "rex.h"

/*========================
 Syntax:
	{n,m}	- range {n,m}
	+	- range {1,}
	*	- range {0,}
	?	- range {0,1}
	range?	- non greedy range
	[]	- class of symbols
	<>	- binary data		<SYSTEM 255 0>
	()	- named group
	''	- exact match
	.	- any except EOL
	^	- edge of line, like EOF or EOL
	|	- alternative		push|pop or [A-Z]+|[a-z]+

 Predefined variables:
	$d $D $s $ $w $W
========================*/

enum {	OP_NULL,
	OP_RET,
	OP_CALL,		// NIY: ref
	OP_JUMP,		// go to the pattern
	OP_EDGEOFLINE,		// ^
	OP_GROUPL,		// (
	OP_GROUPR,		// )
	OP_ALT,			// |
	OP_RANGE,		// {n,m}
	OP_NOTEOL,		// .
	OP_CHARSET,		// [...]
	OP_PATTERN };		// "Denis"

#endif